# TdApi.UpdateNewShippingQuery (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateNewShippingQuery

Package it.tdlight.jni

# Class TdApi.UpdateNewShippingQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewShippingQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewShippingQuery
    extends TdApi.Update

A new incoming shipping query; for bots only. Only for invoices with flexible price.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`long` | `id` | Unique query identifier.
`String` | `invoicePayload` | Invoice payload.
`long` | `senderUserId` | Identifier of the user who sent the query.
`TdApi.Address` | `shippingAddress` | User shipping address.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateNewShippingQuery()` | A new incoming shipping query; for bots only.
`UpdateNewShippingQuery​(long id, long senderUserId, String invoicePayload, TdApi.Address shippingAddress)` | A new incoming shipping query; for bots only.
`UpdateNewShippingQuery​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique query identifier.

### senderUserId

public long senderUserId
Identifier of the user who sent the query.

### invoicePayload

public String invoicePayload
Invoice payload.

### shippingAddress

public TdApi.Address shippingAddress
User shipping address.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateNewShippingQuery

public UpdateNewShippingQuery()
A new incoming shipping query; for bots only. Only for invoices with flexible price.

### UpdateNewShippingQuery

public UpdateNewShippingQuery​(long id, long senderUserId, String invoicePayload, TdApi.Address shippingAddress)
A new incoming shipping query; for bots only. Only for invoices with flexible price.

Parameters:
  `id` - long Unique query identifier.
  `senderUserId` - long Identifier of the user who sent the query.
  `invoicePayload` - String Invoice payload.
  `shippingAddress` - Address User shipping address.

### UpdateNewShippingQuery

public UpdateNewShippingQuery​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`